DELETE api/Image?state={state}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
state

boolean

Required

Body Parameters

DeleteOrRestore
NameDescriptionTypeAdditional information
ids

Collection of globally unique identifier

None.

state

boolean

None.

deleted

boolean

Required

system_information

SystemInformation

None.

Request Formats

application/json, text/json

Sample:
{
  "ids": [
    "a0c7c44b-ce0b-4055-a9f6-70b9bc06cecc",
    "bc058f82-d810-4eab-b644-49d423bec2f3"
  ],
  "state": true,
  "deleted": true,
  "system_information": {
    "creation": {
      "user": {
        "full_name": "sample string 12 sample string 11",
        "id": "5cd2e4f4-625e-4be4-bd83-89a4492b2d3d",
        "image_id": "dc05bd94-4c1d-47ac-ab7a-63df48d7d67b",
        "id_user_work_position": "270625f2-e5e1-4342-8a64-b914b1e509a5",
        "id_shift": "a9aaacfd-7759-4a6d-b303-642cdb1122fe",
        "code": "sample string 5",
        "code2": "sample string 6",
        "title": "sample string 9",
        "introduction": "sample string 10",
        "first_name": "sample string 11",
        "last_name": "sample string 12"
      },
      "date": "2026-03-21T21:10:56Z"
    },
    "last_change": {
      "user": {
        "full_name": "sample string 12 sample string 11",
        "id": "5cd2e4f4-625e-4be4-bd83-89a4492b2d3d",
        "image_id": "dc05bd94-4c1d-47ac-ab7a-63df48d7d67b",
        "id_user_work_position": "270625f2-e5e1-4342-8a64-b914b1e509a5",
        "id_shift": "a9aaacfd-7759-4a6d-b303-642cdb1122fe",
        "code": "sample string 5",
        "code2": "sample string 6",
        "title": "sample string 9",
        "introduction": "sample string 10",
        "first_name": "sample string 11",
        "last_name": "sample string 12"
      },
      "date": "2026-03-21T21:10:56Z"
    }
  }
}

application/xml, text/xml

Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
  <deleted>true</deleted>
  <ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:guid>a0c7c44b-ce0b-4055-a9f6-70b9bc06cecc</d2p1:guid>
    <d2p1:guid>bc058f82-d810-4eab-b644-49d423bec2f3</d2p1:guid>
  </ids>
  <state>true</state>
  <system_information>
    <creation>
      <date>2026-03-21T22:10:56.8135962+01:00</date>
      <user>
        <code>sample string 5</code>
        <code2>sample string 6</code2>
        <first_name>sample string 11</first_name>
        <full_name>sample string 12 sample string 11</full_name>
        <id>5cd2e4f4-625e-4be4-bd83-89a4492b2d3d</id>
        <id_shift>a9aaacfd-7759-4a6d-b303-642cdb1122fe</id_shift>
        <id_user_work_position>270625f2-e5e1-4342-8a64-b914b1e509a5</id_user_work_position>
        <image_id>dc05bd94-4c1d-47ac-ab7a-63df48d7d67b</image_id>
        <introduction>sample string 10</introduction>
        <last_name>sample string 12</last_name>
        <title>sample string 9</title>
      </user>
    </creation>
    <last_change>
      <date>2026-03-21T22:10:56.8135962+01:00</date>
      <user>
        <code>sample string 5</code>
        <code2>sample string 6</code2>
        <first_name>sample string 11</first_name>
        <full_name>sample string 12 sample string 11</full_name>
        <id>5cd2e4f4-625e-4be4-bd83-89a4492b2d3d</id>
        <id_shift>a9aaacfd-7759-4a6d-b303-642cdb1122fe</id_shift>
        <id_user_work_position>270625f2-e5e1-4342-8a64-b914b1e509a5</id_user_work_position>
        <image_id>dc05bd94-4c1d-47ac-ab7a-63df48d7d67b</image_id>
        <introduction>sample string 10</introduction>
        <last_name>sample string 12</last_name>
        <title>sample string 9</title>
      </user>
    </last_change>
  </system_information>
</DeleteOrRestore>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Result
NameDescriptionTypeAdditional information
messages

Collection of ResultMessage

None.

count_of_errors

integer

None.

id

Object

None.

name

string

None.

data

Object

None.

url

string

None.

text

string

None.

inner_exception

string

None.

Response Formats

application/json, text/json

Sample:
{
  "messages": [
    {
      "type": 1,
      "code": 1,
      "message": "sample string 1",
      "field": "sample string 2"
    },
    {
      "type": 1,
      "code": 1,
      "message": "sample string 1",
      "field": "sample string 2"
    }
  ],
  "count_of_errors": 1,
  "id": {},
  "name": "sample string 3",
  "data": {},
  "url": "sample string 5",
  "text": "sample string 6",
  "inner_exception": "sample string 7"
}

application/xml, text/xml

Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
  <count_of_errors>1</count_of_errors>
  <data />
  <id />
  <inner_exception>sample string 7</inner_exception>
  <messages>
    <ResultMessage>
      <code>1</code>
      <field>sample string 2</field>
      <message>sample string 1</message>
      <type>1</type>
    </ResultMessage>
    <ResultMessage>
      <code>1</code>
      <field>sample string 2</field>
      <message>sample string 1</message>
      <type>1</type>
    </ResultMessage>
  </messages>
  <name>sample string 3</name>
  <text>sample string 6</text>
  <url>sample string 5</url>
</Result>